[Mongrel] Help mongrel keeps crashing...

Zed Shaw zedshaw at zedshaw.com
Sat Aug 12 13:34:23 EDT 2006


On Sat, 2006-08-12 at 11:53 -0500, Carl Lerche wrote:
> Alright, it seems that I am having a bit of a problem with mongrel. My 
> mongrel processes have been crashing pretty often and twice last night. I'm 
> really not sure why, but I really need to fix it. I am running 0.3.13.3. Here 
> is the mongrel.log file. Any ideas, things to look at, etc... is appreciated.
> 
Carl, try out the 0.3.13.14 pre-release when you get a chance:

gem install mongrel --source=http://mongrel.rubyforge.org/releases/

Also remove sendfile:

gem uninstall sendfile

The broken pipe lines do mean that mongrel is serving static files,
which isn't such a good way to set things up.  Make sure you configure
so that apache or lighttpd are serving the files.

The gibberish looks like base64 encodings, which is really bothersome.
You better be moved on to 1.1.6 by now.  These could very well be
someone trying to exploit your server.


-- 
Zed A. Shaw
http://www.zedshaw.com/
http://mongrel.rubyforge.org/
http://www.railsmachine.com/ -- Need Mongrel support?



More information about the Mongrel-users mailing list